# REHO
Renewable Energy Hub Optimizer (REHO) is a decision support tool for sustainable urban energy system planning.

It is developed by EPFL (Switzerland), within the Industrial Process and Energy Systems Engineering (IPESE) group.

REHO simultaneously addresses the optimal design and operation of capacities, catering to multi-objective considerations
across economic, environmental, and efficiency criteria. Its MILP framework, multi-objective optimization, multi-scale adaptability,
consideration of diverse end-use demands, and multi-energy integration drive informed decision-making for renewable energy deployment in urban areas.

**Version 1.0 of the model.**

## Installation
To run REHO, both AMPL and Python 3 needs to be installed. Further details can be found in the documentation.

## Licence
Copyright (C) <2021-2023> <Ecole Polytechnique Fédérale de Lausanne (EPFL), Switzerland>

Licensed under the Apache License, Version0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Description and complete License: see LICENSE file.
 
## Documentation
A complete and comprehensive documentation is available at: https://reho.readthedocs.io/en/main/

## Suggestions and contributions
All suggestions or implementation must be tracked with dedicated issues and reported at the project repository: https://github.com/Renewable-Energy-Hub-Optimizer/REHO

## Authors
Dorsan Lepour <dorsan.lepour@epfl.ch>
Cédric Terrier <cedric.terrier@epfl.ch>  
Joseph Loustau <joseph.loustau@epfl.ch>